<template>
	<mind-layout>
		<mind-form hide-submit @submit="onSubmit">
			<mind-table :highlight-current-row="false" :data="items">
				<el-table-column  width="200px" prop="mnemonic" label="Propiedad" >
					<template v-slot="{row}">
						<el-input v-model="row.mnemonic" />			
					</template>
				</el-table-column>
				<el-table-column  prop="value" label="Valor">
					<template v-slot="{row}">
						<el-input v-model="row.value" />			
					</template>
				</el-table-column>
				<el-table-column  prop="description" label="Descripción" />
			</mind-table>

		</mind-form>
	</mind-layout>
</template>
<script>
import {Rest} from '@/../modules/mind-core-vue'
import mindTable from '../../modules/mind-core-vue/src/components/mind-table.vue'

export default {
  components: { mindTable },
	async created(){
		this.api = new Rest({
			uri: `/api/asterisk/ami/trunks`, 
			key: 'id'
		})

		let id = this.$route.params.id
		this.trunkName = id
		if(id == 'new') {
			this.isNew = true
			this.recurso = {	}
		} else {
			const recurso = await this.api.Fetch(id)
			.catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
			this.recurso = recurso
		}
	},
	computed:{
		items: {
			get() {
				let res = []
				if(!this.recurso[this.trunkName]) {
					return res
				}
				for (const linea of this.recurso[this.trunkName]) {
					const partes = linea.split(/=>?/i)
					if(partes.length < 2) {
						continue
					}
					const mnemonic = partes[0].trim()
					res.push({mnemonic: mnemonic, value: partes[1].trim()})
				}
				console.log(res)

				return res
				// return this.recurso ? {data: this.recurso[this.trunkName]} : {data:[]}
			},
			set(v) {
				console.log(v)
			}
		}
	},

	methods: {
		async onSubmit() {
			
			// let result, msg ;
			// if(this.isNew) {
			// 	await this.api.Post(data)
			// 	.then(()=>{
			// 		result = 'success'
			// 		msg = 'Móvil creado correctamente'
			// 	})
			// 	.catch((error)=> {
			// 		result = 'error'
			// 		msg = error
			// 	})
			// } else {
			// 	await this.api.Patch(data)
			// 	.then(()=>{
			// 		result = 'success'
			// 		msg = 'Móvil actualizado correctamente'
			// 	})
			// 	.catch((error)=> {
			// 		result = 'error'
			// 		msg = error
			// 	})
			// }
			// this.$message({
			// 	type: result,
			// 	showClose: result == 'error',
			// 	message: msg
			// });
		}
	},
	data() {
		return {
			isNew: false,
			recurso: {
			},
			api: null,
			trunkName: null,

		}
	}
}
</script>